Index: code/branches/pickupsFS14/src/modules/jump/JumpFigure.h
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpFigure.h	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpFigure.h	(revision 10111)
@@ -21,15 +21,9 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
  *
  */
-
-/**
-    @file JumpFigure.h
-    @brief Declaration of the JumpFigure class.
-    @ingroup Jump
-*/
 
 #ifndef _JumpFigure_H__
@@ -42,16 +36,4 @@
 namespace orxonox
 {
-
-    /**
-    @brief
-        The JumpFigure class manages the bats for @ref orxonox::Jump "Jump", which are the elements controlled by the players.
-
-        It is responsible for the movement (controlled by the players) of the bat.
-
-    @author
-        Fabian 'x3n' Landau
-
-    @ingroup Jump
-    */
     class _JumpExport JumpFigure : public ControllableEntity
     {
@@ -59,19 +41,13 @@
             JumpFigure(Context* context); //!< Constructor. Registers and initializes the object.
             virtual ~JumpFigure() {}
-
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-
             virtual void tick(float dt);
-
             virtual void moveFrontBack(const Vector2& value); //!< Overloaded the function to steer the bat up and down.
             virtual void moveRightLeft(const Vector2& value); //!< Overloaded the function to steer the bat up and down.
-
             virtual void rotateYaw(const Vector2& value);
             virtual void rotatePitch(const Vector2& value);
             virtual void rotateRoll(const Vector2& value);
-
             void fire(unsigned int firemode);
             virtual void fired(unsigned int firemode);
-
             virtual void JumpFromPlatform(JumpPlatform* platform);
             virtual void JumpFromSpring(JumpSpring* spring);
@@ -85,111 +61,80 @@
             virtual bool StartShield(JumpShield* shield);
             virtual void StopShield(JumpShield* shield);
-
             virtual void InitializeAnimation(Context* context);
 
             void setFieldDimension(float width, float height)
                 { fieldWidth_ = width; fieldHeight_ = height; }
-
             void setFieldDimension(const Vector2& dimension)
                 { setFieldDimension(dimension.x, dimension.y); }
-
             Vector2 getFieldDimension() const
                 { return Vector2(fieldWidth_, fieldHeight_); }
-
             void setMouseFactor(const float mouseFactor)
                 { mouseFactor_ = mouseFactor; }
-
             const float getMouseFactor() const
                 { return mouseFactor_; }
-
             void setModelLeftHand(const std::string& modelLeftHand)
                 { modelLeftHand_ = modelLeftHand; }
-
             const std::string& getModelLeftHand() const
                 { return modelLeftHand_; }
-
             void setModelRightHand(const std::string& modelRightHand)
                 { modelRightHand_ = modelRightHand; }
-
             const std::string& getModelRightHand() const
                 { return modelRightHand_; }
-
             void setRocketPos(const float rocketPos)
                 { rocketPos_ = rocketPos; }
-
             const float getRocketPos() const
                 { return rocketPos_; }
-
 			void setPropellerPos(const float propellerPos)
 				{ propellerPos_ = propellerPos; }
-
 			const float getPropellerPos() const
 				{ return propellerPos_; }
-
 			void setBootsPos(const float bootsPos)
 				{ bootsPos_ = bootsPos; }
-
 			const float getBootsPos() const
 				{ return bootsPos_; }
-
             void setJumpSpeed(const float jumpSpeed)
                 { jumpSpeed_ = jumpSpeed; }
-
             const float getJumpSpeed() const
                 { return jumpSpeed_; }
-
             void setRocketSpeed(const float rocketSpeed)
                 { rocketSpeed_ = rocketSpeed; }
-
             const float getRocketSpeed() const
                 { return rocketSpeed_; }
-
             void setPropellerSpeed(const float propellerSpeed)
                 { propellerSpeed_ = propellerSpeed; }
-
             const float getPropellerSpeed() const
                 { return propellerSpeed_; }
-
             void setHandMinAngle(const float handMinAngle)
                 { handMinAngle_ = handMinAngle; }
-
             const float getHandMinAngle() const
                 { return handMinAngle_; }
-
             void setHandMaxAngle(const float handMaxAngle)
                 { handMaxAngle_ = handMaxAngle; }
-
             const float getHandMaxAngle() const
                 { return handMaxAngle_; }
-
             void setHandSpeed(const float handSpeed)
                 { handSpeed_ = handSpeed; }
-
             const float getHandSpeed() const
                 { return handSpeed_; }
 
-            bool fireSignal;
+            bool fireSignal_;
+            bool rocketActive_;
+            bool propellerActive_;
             bool dead_;
-
         private:
             std::string modelLeftHand_;
             std::string modelRightHand_;
-
             Model* leftHand_;
             Model* rightHand_;
-
             float fieldWidth_;
             float fieldHeight_;
-            float timeSinceLastFire;
-
-            bool moveUpPressed;
-            bool moveDownPressed;
-            bool moveLeftPressed;
-            bool moveRightPressed;
-            bool firePressed;
-
-            float gravityAcceleration;
+            float timeSinceLastFire_;
+            bool moveUpPressed_;
+            bool moveDownPressed_;
+            bool moveLeftPressed_;
+            bool moveRightPressed_;
+            bool firePressed_;
+            float gravityAcceleration_;
             float mouseFactor_;
-
             float jumpSpeed_;
             float handSpeed_;
@@ -199,14 +144,9 @@
             float propellerPos_;
             float bootsPos_;
-            float maxFireRate;
-
-            float horizontalSpeed;
-
+            float maxFireRate_;
+            float horizontalSpeed_;
             float handAngle_;
             bool animateHands_;
             bool turnUp_;
-
-            bool rocketActive_;
-            bool propellerActive_;
             bool bootsActive_;
             bool shieldActive_;
Index: code/branches/pickupsFS14/src/modules/jump/JumpItem.cc
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpItem.cc	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpItem.cc	(revision 10111)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
@@ -29,5 +29,5 @@
 /**
     @file JumpItem.cc
-    @brief Implementation of the JumpItem class.
+    @brief All items in this minigame inherit from this class. Items can move around like platforms and enemies.
 */
 
@@ -48,8 +48,4 @@
     RegisterClass(JumpItem);
 
-    /**
-    @brief
-        Constructor. Registers and initializes the object.
-    */
     JumpItem::JumpItem(Context* context) : MovableEntity(context)
     {
@@ -66,8 +62,4 @@
     }
 
-    /**
-    @brief
-        Destructor.
-    */
     JumpItem::~JumpItem()
     {
@@ -75,5 +67,4 @@
     }
 
-    //xml port for loading sounds
     void JumpItem::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
@@ -84,11 +75,4 @@
     }
 
-    /**
-    @brief
-        Is called every tick.
-        Handles the movement of the ball and its interaction with the boundaries and bats.
-    @param dt
-        The time since the last tick.
-    */
     void JumpItem::tick(float dt)
     {
@@ -125,10 +109,4 @@
     }
 
-    /**
-    @brief
-        Set the bats for the ball.
-    @param bats
-        An array (of size 2) of weak pointers, to be set as the new bats.
-    */
     void JumpItem::setFigure(WeakPtr<JumpFigure> newFigure)
     {
Index: code/branches/pickupsFS14/src/modules/jump/JumpItem.h
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpItem.h	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpItem.h	(revision 10111)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
@@ -45,16 +45,4 @@
 namespace orxonox
 {
-
-    /**
-    @brief
-        This class manages the ball for @ref orxonox::Jump "Jump".
-
-        It is responsible for both the movement of the ball in the x,z-plane as well as its interaction with the boundaries of the playing field (defined by the @ref orxonox::JumpCenterpoint "JumpCenterpoint") and the @ref orxonox::JumpFigure "JumpFigures". Or more precisely, it makes the ball bounce off then upper and lower delimiters of the playing field, it makes the ball bounce off the bats and also detects when a player scores and takes appropriate measures.
-
-    @author
-        Fabian 'x3n' Landau
-
-    @ingroup Jump
-    */
     class _JumpExport JumpItem : public MovableEntity
     {
@@ -74,5 +62,4 @@
             Vector2 getFieldDimension() const
                 { return Vector2(this->fieldWidth_, this->fieldHeight_); }
-
             void setWidth(const float width)
                 { this->width_ = width; }
@@ -89,9 +76,7 @@
             float fieldWidth_; //!< The width of the playing field.
             float fieldHeight_; //!< The height of the playing field.
-
             WeakPtr<JumpFigure> figure_; //!< An array with the two bats.
             float height_;
             float width_;
-
             float leftBoundary_;
             float rightBoundary_;
Index: code/branches/pickupsFS14/src/modules/jump/JumpPlatform.cc
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpPlatform.cc	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpPlatform.cc	(revision 10111)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
@@ -29,5 +29,5 @@
 /**
     @file JumpPlatform.cc
-    @brief Implementation of the JumpPlatform class.
+    @brief All platforms in this minigame inherit from this class. The basic functions of a platform (interact with figure) is implemented here. Special functions are implemented in the specialized classes.
 */
 
@@ -48,10 +48,4 @@
     RegisterClass(JumpPlatform);
 
-    const float JumpPlatform::MAX_REL_Z_VELOCITY = 1.5;
-
-    /**
-    @brief
-        Constructor. Registers and initializes the object.
-    */
     JumpPlatform::JumpPlatform(Context* context) : MovableEntity(context)
     {
Index: code/branches/pickupsFS14/src/modules/jump/JumpPlatform.h
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpPlatform.h	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpPlatform.h	(revision 10111)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
@@ -37,24 +37,9 @@
 
 #include "jump/JumpPrereqs.h"
-
 #include "util/Math.h"
-
 #include "worldentities/MovableEntity.h"
-
 
 namespace orxonox
 {
-
-    /**
-    @brief
-        This class manages the ball for @ref orxonox::Jump "Jump".
-
-        It is responsible for both the movement of the ball in the x,z-plane as well as its interaction with the boundaries of the playing field (defined by the @ref orxonox::JumpCenterpoint "JumpCenterpoint") and the @ref orxonox::JumpFigure "JumpFigures". Or more precisely, it makes the ball bounce off then upper and lower delimiters of the playing field, it makes the ball bounce off the bats and also detects when a player scores and takes appropriate measures.
-
-    @author
-        Fabian 'x3n' Landau
-
-    @ingroup Jump
-    */
     class _JumpExport JumpPlatform : public MovableEntity
     {
@@ -66,6 +51,4 @@
             void setFigure(WeakPtr<JumpFigure> bats); //!< Set the bats for the ball.
             virtual void touchFigure();
-
-            static const float MAX_REL_Z_VELOCITY;
 
             void setDefScoreSound(const std::string& engineSound);
Index: code/branches/pickupsFS14/src/modules/jump/JumpPlatformDisappear.cc
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpPlatformDisappear.cc	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpPlatformDisappear.cc	(revision 10111)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
@@ -29,5 +29,5 @@
 /**
     @file JumpPlatformDisappear.cc
-    @brief Implementation of the JumpPlatform class.
+    @brief This platform disappears after contact with the figure.
 */
 
@@ -48,8 +48,4 @@
     RegisterClass(JumpPlatformDisappear);
 
-    /**
-    @brief
-        Constructor. Registers and initializes the object.
-    */
     JumpPlatformDisappear::JumpPlatformDisappear(Context* context) : JumpPlatform(context)
     {
@@ -59,8 +55,4 @@
     }
 
-    /**
-    @brief
-        Destructor.
-    */
     JumpPlatformDisappear::~JumpPlatformDisappear()
     {
@@ -68,6 +60,4 @@
     }
 
-
-    //xml port for loading sounds
     void JumpPlatformDisappear::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
@@ -75,11 +65,4 @@
     }
 
-    /**
-    @brief
-        Is called every tick.
-        Handles the movement of the ball and its interaction with the boundaries and bats.
-    @param dt
-        The time since the last tick.
-    */
     void JumpPlatformDisappear::tick(float dt)
     {
Index: code/branches/pickupsFS14/src/modules/jump/JumpPlatformDisappear.h
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpPlatformDisappear.h	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpPlatformDisappear.h	(revision 10111)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
@@ -37,24 +37,9 @@
 
 #include "jump/JumpPrereqs.h"
-
 #include "util/Math.h"
-
 #include "worldentities/MovableEntity.h"
-
 
 namespace orxonox
 {
-
-    /**
-    @brief
-        This class manages the ball for @ref orxonox::Jump "Jump".
-
-        It is responsible for both the movement of the ball in the x,z-plane as well as its interaction with the boundaries of the playing field (defined by the @ref orxonox::JumpCenterpoint "JumpCenterpoint") and the @ref orxonox::JumpFigure "JumpFigures". Or more precisely, it makes the ball bounce off then upper and lower delimiters of the playing field, it makes the ball bounce off the bats and also detects when a player scores and takes appropriate measures.
-
-    @author
-        Fabian 'x3n' Landau
-
-    @ingroup Jump
-    */
     class _JumpExport JumpPlatformDisappear : public JumpPlatform
     {
@@ -62,13 +47,9 @@
     	    JumpPlatformDisappear(Context* context);
             virtual ~JumpPlatformDisappear();
-
             virtual void tick(float dt);
-
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-
             virtual void setProperties(bool active);
             virtual bool isActive();
             virtual void touchFigure();
-
 
         protected:
Index: code/branches/pickupsFS14/src/modules/jump/JumpPlatformFake.cc
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpPlatformFake.cc	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpPlatformFake.cc	(revision 10111)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
@@ -29,16 +29,12 @@
 /**
     @file JumpPlatformFake.cc
-    @brief Implementation of the JumpPlatform class.
+    @brief This platform has a hole in it. You cannot jump from this platform. It has no touchFigure function.
 */
 
 #include "JumpPlatformFake.h"
-
 #include "core/CoreIncludes.h"
 #include "core/GameMode.h"
-
 #include "gametypes/Gametype.h"
-
 #include "JumpFigure.h"
-
 #include "sound/WorldSound.h"
 #include "core/XMLPort.h"
@@ -48,8 +44,4 @@
     RegisterClass(JumpPlatformFake);
 
-    /**
-    @brief
-        Constructor. Registers and initializes the object.
-    */
     JumpPlatformFake::JumpPlatformFake(Context* context) : JumpPlatform(context)
     {
@@ -57,8 +49,4 @@
     }
 
-    /**
-    @brief
-        Destructor.
-    */
     JumpPlatformFake::~JumpPlatformFake()
     {
@@ -66,5 +54,4 @@
     }
 
-    //xml port for loading sounds
     void JumpPlatformFake::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
@@ -72,11 +59,4 @@
     }
 
-    /**
-    @brief
-        Is called every tick.
-        Handles the movement of the ball and its interaction with the boundaries and bats.
-    @param dt
-        The time since the last tick.
-    */
     void JumpPlatformFake::tick(float dt)
     {
Index: code/branches/pickupsFS14/src/modules/jump/JumpPlatformFake.h
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpPlatformFake.h	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpPlatformFake.h	(revision 10111)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
@@ -45,16 +45,4 @@
 namespace orxonox
 {
-
-    /**
-    @brief
-        This class manages the ball for @ref orxonox::Jump "Jump".
-
-        It is responsible for both the movement of the ball in the x,z-plane as well as its interaction with the boundaries of the playing field (defined by the @ref orxonox::JumpCenterpoint "JumpCenterpoint") and the @ref orxonox::JumpFigure "JumpFigures". Or more precisely, it makes the ball bounce off then upper and lower delimiters of the playing field, it makes the ball bounce off the bats and also detects when a player scores and takes appropriate measures.
-
-    @author
-        Fabian 'x3n' Landau
-
-    @ingroup Jump
-    */
     class _JumpExport JumpPlatformFake : public JumpPlatform
     {
@@ -62,5 +50,4 @@
     	    JumpPlatformFake(Context* context);
             virtual ~JumpPlatformFake();
-
             virtual void tick(float dt);
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
Index: code/branches/pickupsFS14/src/modules/jump/JumpPlatformHMove.cc
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpPlatformHMove.cc	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpPlatformHMove.cc	(revision 10111)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
@@ -29,20 +29,14 @@
 /**
     @file JumpPlatformHMove.cc
-    @brief Implementation of the JumpPlatform class.
+    @brief This platform can move horizontally.
 */
 
 #include "JumpPlatformHMove.h"
-
 #include "core/CoreIncludes.h"
 #include "core/GameMode.h"
-
 #include "gametypes/Gametype.h"
-
 #include "JumpFigure.h"
-
 #include "sound/WorldSound.h"
 #include "core/XMLPort.h"
-
-#include "graphics/Backlight.h"
 
 namespace orxonox
@@ -50,8 +44,4 @@
     RegisterClass(JumpPlatformHMove);
 
-    /**
-    @brief
-        Constructor. Registers and initializes the object.
-    */
     JumpPlatformHMove::JumpPlatformHMove(Context* context) : JumpPlatform(context)
     {
@@ -61,8 +51,4 @@
     }
 
-    /**
-    @brief
-        Destructor.
-    */
     JumpPlatformHMove::~JumpPlatformHMove()
     {
@@ -70,5 +56,4 @@
     }
 
-    //xml port for loading sounds
     void JumpPlatformHMove::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
@@ -76,11 +61,4 @@
     }
 
-    /**
-    @brief
-        Is called every tick.
-        Handles the movement of the ball and its interaction with the boundaries and bats.
-    @param dt
-        The time since the last tick.
-    */
     void JumpPlatformHMove::tick(float dt)
     {
@@ -88,19 +66,22 @@
 
         // Get the current position, velocity and acceleration of the ball.
-        Vector3 position = this->getPosition();
-        Vector3 velocity = this->getVelocity();
+        Vector3 position = getPosition();
+        Vector3 velocity = getVelocity();
 
         if ((position.x < leftBoundary_ && velocity.x < 0) || (position.x > rightBoundary_ && velocity.x > 0))
 
         {
-        	//orxout() << "refelected platformHMove at " << position.x << endl;
         	velocity.x = -velocity.x;
         }
 
         // Set the position, velocity and acceleration of the ball, if they have changed.
-        if (velocity != this->getVelocity())
-            this->setVelocity(velocity);
+        if (velocity != getVelocity())
+        {
+            setVelocity(velocity);
+        }
         if (position != this->getPosition())
-            this->setPosition(position);
+        {
+            setPosition(position);
+        }
     }
 
@@ -109,7 +90,5 @@
     	leftBoundary_ = leftBoundary;
     	rightBoundary_ = rightBoundary;
-
-        this->setVelocity(Vector3(speed,0,0));
-
+        setVelocity(Vector3(speed,0,0));
     }
 
Index: code/branches/pickupsFS14/src/modules/jump/JumpPlatformHMove.h
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpPlatformHMove.h	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpPlatformHMove.h	(revision 10111)
@@ -21,15 +21,9 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
  *
  */
-
-/**
-    @file JumpPlatformHMove.h
-    @brief Declaration of the JumpPlatform class.
-    @ingroup Jump
-*/
 
 #ifndef _JumpPlatformHMove_H__
@@ -46,15 +40,4 @@
 {
 
-    /**
-    @brief
-        This class manages the ball for @ref orxonox::Jump "Jump".
-
-        It is responsible for both the movement of the ball in the x,z-plane as well as its interaction with the boundaries of the playing field (defined by the @ref orxonox::JumpCenterpoint "JumpCenterpoint") and the @ref orxonox::JumpFigure "JumpFigures". Or more precisely, it makes the ball bounce off then upper and lower delimiters of the playing field, it makes the ball bounce off the bats and also detects when a player scores and takes appropriate measures.
-
-    @author
-        Fabian 'x3n' Landau
-
-    @ingroup Jump
-    */
     class _JumpExport JumpPlatformHMove : public JumpPlatform
     {
@@ -62,8 +45,6 @@
     	    JumpPlatformHMove(Context* context);
             virtual ~JumpPlatformHMove();
-
             virtual void tick(float dt);
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-
             virtual void setProperties(float leftBoundary, float rightBoundary, float speed);
             virtual void touchFigure();
Index: code/branches/pickupsFS14/src/modules/jump/JumpPlatformStatic.cc
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpPlatformStatic.cc	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpPlatformStatic.cc	(revision 10111)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
@@ -29,16 +29,12 @@
 /**
     @file JumpPlatformStatic.cc
-    @brief Implementation of the JumpPlatformStatic class.
+    @brief This is the most simple platform in this minigame.
 */
 
 #include "JumpPlatformStatic.h"
-
 #include "core/CoreIncludes.h"
 #include "core/GameMode.h"
-
 #include "gametypes/Gametype.h"
-
 #include "JumpFigure.h"
-
 #include "sound/WorldSound.h"
 #include "core/XMLPort.h"
@@ -48,8 +44,4 @@
     RegisterClass(JumpPlatformStatic);
 
-    /**
-    @brief
-        Constructor. Registers and initializes the object.
-    */
     JumpPlatformStatic::JumpPlatformStatic(Context* context) : JumpPlatform(context)
     {
@@ -58,8 +50,4 @@
     }
 
-    /**
-    @brief
-        Destructor.
-    */
     JumpPlatformStatic::~JumpPlatformStatic()
     {
@@ -73,11 +61,4 @@
     }
 
-    /**
-    @brief
-        Is called every tick.
-        Handles the movement of the ball and its interaction with the boundaries and bats.
-    @param dt
-        The time since the last tick.
-    */
     void JumpPlatformStatic::tick(float dt)
     {
Index: code/branches/pickupsFS14/src/modules/jump/JumpPlatformStatic.h
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpPlatformStatic.h	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpPlatformStatic.h	(revision 10111)
@@ -21,15 +21,9 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
  *
  */
-
-/**
-    @file JumpPlatformStatic.h
-    @brief Declaration of the JumpPlatformStatic class.
-    @ingroup Jump
-*/
 
 #ifndef _JumpPlatformStatic_H__
@@ -45,16 +39,4 @@
 namespace orxonox
 {
-
-    /**
-    @brief
-        This class manages the ball for @ref orxonox::Jump "Jump".
-
-        It is responsible for both the movement of the ball in the x,z-plane as well as its interaction with the boundaries of the playing field (defined by the @ref orxonox::JumpCenterpoint "JumpCenterpoint") and the @ref orxonox::JumpFigure "JumpFigures". Or more precisely, it makes the ball bounce off then upper and lower delimiters of the playing field, it makes the ball bounce off the bats and also detects when a player scores and takes appropriate measures.
-
-    @author
-        Fabian 'x3n' Landau
-
-    @ingroup Jump
-    */
     class _JumpExport JumpPlatformStatic : public JumpPlatform
     {
Index: code/branches/pickupsFS14/src/modules/jump/JumpPlatformTimer.cc
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpPlatformTimer.cc	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpPlatformTimer.cc	(revision 10111)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
@@ -29,16 +29,12 @@
 /**
     @file JumpPlatformTimer.cc
-    @brief Implementation of the JumpPlatform class.
+    @brief This platform will explode if you wait for too long time.
 */
 
 #include "JumpPlatformTimer.h"
-
 #include "core/CoreIncludes.h"
 #include "core/GameMode.h"
-
 #include "gametypes/Gametype.h"
-
 #include "JumpFigure.h"
-
 #include "sound/WorldSound.h"
 #include "core/XMLPort.h"
@@ -48,13 +44,9 @@
     RegisterClass(JumpPlatformTimer);
 
-    /**
-    @brief
-        Constructor. Registers and initializes the object.
-    */
     JumpPlatformTimer::JumpPlatformTimer(Context* context) : JumpPlatform(context)
     {
         RegisterObject(JumpPlatformTimer);
 
-        particleSpawner = NULL;
+        particleSpawner_ = NULL;
 
         setProperties(3.0);
@@ -62,8 +54,4 @@
     }
 
-    /**
-    @brief
-        Destructor.
-    */
     JumpPlatformTimer::~JumpPlatformTimer()
     {
@@ -71,5 +59,4 @@
     }
 
-    //xml port for loading sounds
     void JumpPlatformTimer::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
@@ -80,11 +67,4 @@
     }
 
-    /**
-    @brief
-        Is called every tick.
-        Handles the movement of the ball and its interaction with the boundaries and bats.
-    @param dt
-        The time since the last tick.
-    */
     void JumpPlatformTimer::tick(float dt)
     {
@@ -92,14 +72,14 @@
 
         time_ -= dt;
-        if (time_ < effectStartTime_ && particleSpawner == NULL)
+        if (time_ < effectStartTime_ && particleSpawner_ == NULL)
         {
 
-        	particleSpawner = new ParticleSpawner(getContext());
-        	particleSpawner->setSource(effectPath_);
-            particleSpawner->setLoop(false);
-            particleSpawner->setLOD(LODParticle::Low);
-            particleSpawner->setLifetime(effectStartTime_);
+        	particleSpawner_ = new ParticleSpawner(getContext());
+        	particleSpawner_->setSource(effectPath_);
+            particleSpawner_->setLoop(false);
+            particleSpawner_->setLOD(LODParticle::Low);
+            particleSpawner_->setLifetime(effectStartTime_);
 
-            attach(particleSpawner);
+            attach(particleSpawner_);
         }
     }
Index: code/branches/pickupsFS14/src/modules/jump/JumpPlatformTimer.h
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpPlatformTimer.h	(revision 10110)
+++ code/branches/pickupsFS14/src/modules/jump/JumpPlatformTimer.h	(revision 10111)
@@ -21,5 +21,5 @@
  *
  *   Author:
- *      Fabian 'x3n' Landau
+ *      Fabien Vultier
  *   Co-authors:
  *      ...
@@ -46,16 +46,4 @@
 namespace orxonox
 {
-
-    /**
-    @brief
-        This class manages the ball for @ref orxonox::Jump "Jump".
-
-        It is responsible for both the movement of the ball in the x,z-plane as well as its interaction with the boundaries of the playing field (defined by the @ref orxonox::JumpCenterpoint "JumpCenterpoint") and the @ref orxonox::JumpFigure "JumpFigures". Or more precisely, it makes the ball bounce off then upper and lower delimiters of the playing field, it makes the ball bounce off the bats and also detects when a player scores and takes appropriate measures.
-
-    @author
-        Fabian 'x3n' Landau
-
-    @ingroup Jump
-    */
     class _JumpExport JumpPlatformTimer : public JumpPlatform
     {
@@ -63,8 +51,6 @@
     	    JumpPlatformTimer(Context* context);
             virtual ~JumpPlatformTimer();
-
             virtual void tick(float dt);
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-
             virtual void setProperties(float time);
             virtual bool isActive(void);
@@ -85,5 +71,5 @@
         protected:
             float time_;
-            ParticleSpawner* particleSpawner;
+            ParticleSpawner* particleSpawner_;
             std::string effectPath_;
             float effectStartTime_;
